ReadPkg( "sonata", "lib/banner.g" ); #print banner#

ReadPkg( "sonata", "lib/grpend.gd" );	# endomorphisms for groups
ReadPkg( "sonata", "lib/grpsupp.gd" );	# other supportive functions for groups
ReadPkg( "sonata", "lib/nr.gd" );	# near rings in general
ReadPkg( "sonata", "lib/expmulnr.gd" );	# near rings with explicit multiplication
ReadPkg( "sonata", "lib/libnr.gd" );	# library near rings
ReadPkg( "sonata", "lib/grptfms.gd" );	# transformations and transformation near rings
ReadPkg( "sonata", "lib/nrid.gd" );	# near ring ideals
ReadPkg( "sonata", "lib/dgnr.gd" );	# distributively generated near rings
ReadPkg( "sonata", "lib/idlatt.gd" );	# lattice operations for near ring ideals
ReadPkg( "sonata", "lib/nrconstr.gd" );	# direct products and factors
ReadPkg( "sonata", "lib/ngroups.gd" );	# N-groups
#ReadPkg( "sonata", "lib/genlatt.gd" );	# general lattices
ReadPkg( "sonata", "lib/fpf.gd" );	# fixed point free representations and automorphism groups
ReadPkg( "sonata", "lib/nfplwd.gd" );	# planar and weakly distributive nearrings
ReadPkg( "sonata", "lib/design.gd" );	# designs
ReadPkg( "sonata", "lib/random.gd" );	# random methods for large transformation nrs
ReadPkg( "sonata", "lib/xgap.gd" );	# graphic ideal lattices for nrs

ReadPkg( "sonata", "lib/readgrps.g" );	# groups ala TW


ReadPkg( "sonata", "lib/grpend.gi" );
ReadPkg( "sonata", "lib/grpsupp.gi" );
ReadPkg( "sonata", "lib/nr.gi" );
ReadPkg( "sonata", "lib/expmulnr.gi" );
ReadPkg( "sonata", "lib/libnr.gi" );	# NRs w.1!
ReadPkg( "sonata", "lib/grptfms.gi" );
ReadPkg( "sonata", "lib/nrid.gi" );
ReadPkg( "sonata", "lib/dgnr.gi" );
ReadPkg( "sonata", "lib/idlatt.gi" );
ReadPkg( "sonata", "lib/nrconstr.gi" );
ReadPkg( "sonata", "lib/ngroups.gi" );
#ReadPkg( "sonata", "lib/genlatt.gi" );
ReadPkg( "sonata", "lib/fpf.gi" );
ReadPkg( "sonata", "lib/nfplwd.gi" );
ReadPkg( "sonata", "lib/design.gi" );
ReadPkg( "sonata", "lib/random.gi" );

ReadPkg( "sonata", "lib/ring.gi" );

# test if xgap is available and running

TTEESSTTXXGGAAPP := TestPackageAvailability("xgap","0");

if TTEESSTTXXGGAAPP = true then
   ReadPkg( "sonata", "lib/xgap.gi" );	# xgap is running
elif TTEESSTTXXGGAAPP = fail then
   Print( "!! you may wish to install the xgap package to" ); 
   Print( " enjoy the graphic capabilities of sonata.\n" );
else
   Print( "!! you may wish to start xgap and enjoy the" ); 
   Print( " graphic capabilities of sonata.\n" );
fi;

Unbind(TTEESSTTXXGGAAPP);

